cdTree
VB Knowledge Solutions

What is this

This utility allows you to create catalogs of all CDs, CDRs, CDRW, and even hard disk contents. It allows you to attach comments to the CD name and to any of the subdirectories or the files. It is also capable of presenting the information in a hierarchical view similar to the original tree structure, yet it offers more flexibility in that:

*) it displays each subdirectory size as equal to the size of all contents underneath it, whether they are immediate files or other subdirectories, this is very useful in space management.

*) Another enhanced feature is the ability to search for any type of information, whether it is a filename, a subdirectory name, a disk name or a comment, and the presentation the information in a report view. This is useful if you have attached a comment to a certain file or specific directory and you forgot where you have saved it.

*) Another feature is the ability to produce a report of either a certain branch or the whole CD in a nice printer friendly view.

*) You can create multiple catalogs, Double clicking any of these files will start the application with the contents of that catalog, this options is useful if more that user share the same PC, or you have different groups of CDs e.g. Work and Home.

The utility uses a custom built-in data store to store all the structures under.


Suggested Usage

*) if, like me, you are a developer, and you get a lot of programming sample files from the internet or develop them yourself, and need a way to find whether you have already saved a specific file or not, or where the sample is which performs a particular function.

*) If you have a number of MP3s, like me, you can use this utility to find where a specific file is, for example, a song, or what songs for this singer exist and where are they on the CDs.

*) If you download a lot of shareware and freeware programs from the internet, and save them in CDs for later use, and you forgot where you put a specific file, you can use the find feature to locate this file fast, plus you can view the comments so you know which site you got this file from or which version you saved.

*) If you have a lot of clipart, and you don't know on which CD or directory a specific file is, the search in this application can be very useful.


Main Menu Commands

File menu

Cd menu

View menu

help menu


File Menu Commands

Preview
Print
Save as htm

Backup
Compact Data

Exit


Preview

This menu command allows the printing of the directory structure and information or the saving of the results as an html page.
You can select what you want printed from the option button and check boxes as shown on the picture below


Print

This option is only available after you have selected something to preview, it will send the previewed output to the printer.


Save AS

This option is only available after you have selected something to preview, it will save the previewed output as an html page.
Selecting this option will prompt you for the name of file to save the result as.
This will prove very handy when you want to send the hierarchy of certain setups to colleagues of yours.


Backup

This option will allow to backup your data file.
After clicking on this option the system will ask you for the the filename to backup the data to, after selecting the filename, the system will compress the data and save it to the new file.
If you ever need to restore your data, delete the file cdTree.cd from the installation directory and copy your saved copy to the installation directory and rename the file to cdTree.cd.


Compact Data

This option will compact the data file, making it smaller in size. Invoking this action will copy the original file to cdTree.bak, and the creation a smaller data file size and it will call it cdTree.dat.
While the system is compacting the data, an animated screen will show up to inform you of the action. You can cancel the operation at any time
If the operation is interrupted during the compacting of the data, no data will be lost.


Exit

This option will allow you to exit from this application and go back to Windows.


CD Menu Commands

Show List

Cd Add
Cd Edit Details
Cd Delete
Cd Rescan

Categories

Search

Properties


Show List

This menu option will only be active when the user is in the search panel, or in the preview panel, and it will enable the user to go back to the main panel.


Add CD

This command allows the addition of new CDs or Path listings to the current catalog. It will prompt for the drive to scan, and add it to the current catalog.
Once this command is selected, the following dialog box will appear prompting you to select the required drive to scan, and an optional name for the scanned catalog, along with an "open notes" section which can be attached to the catalog.


Edit CD

Allows Editing of the name and notes of an already scanned CD in the current catalog. It will not prompt you to rescan the CD, but allows you to change the CD name and any associated notes.
Once this command is selected, the following dialog box will appear prompting you to update the required information.


Delete CD

This menu command will allow you to remove a certain CD or path contents from the current catalog.
Prior to this command taking action, the application will verify you really wish to delete this CD or path. If the user replies with a YES, then that CD/path is removed.
Any deleted information cannot be retrieved. If you need to get the information back, you have to rescan the CD/path once more.


Rescan CD

This allows you to rescan or edit the information of an existing CD/path catalog.
Once this command is selected, the following dialog box will appear prompting you for the CD/path to scan and replace the existing one.
For duplicates on the existing CD/path and on the new CD/path, this operation will not remove existing branch and file notes. it will, however, update the tree structure according to the new CD/path scan.
you can use this command as many times as you want and as frequently as you wished to keep your catalog up to date.


Categories

This command allows the user to add, remove, edit or rename any category. The panel also allows the user to change the parent of a specific category by dragging the category and dropping it into another category.

The required operation can be done, either through clicking on the appropriate button, or by right clicking the mouse on a specific directory, this will display a context sensitive menu of the possible actions.

You can change the category images by using the category properties panel and selecting a different icon.


Search

This command will allow the user to search for specific information on the catalog.
the user can choose the scope of the search and what to search for. cdTree will then generate a list of all matches based on the user choices.


Properties

This menu command will allow to view the properties of the selected item, it will also allow you to attach notes to the selected item.

If the selected item was a category name, then the category properties panel will allow to attach notes to the category in addition to allowing you to change the icon of the category.


View Menu Commands

Explorer View
Traditional View

Large Icons
Small Icons
List View
Details View


Explorer View

This menu command allows you to switch your viewing mode to the explorer view mode. This mode has 2 panels, the left panel contains a tree view data grouped by categories, CDs and Folders up to the directories level. the right panel will contain details of the files or the subdirectories for the selected directory on the left panel.

This mode also allows for dragging and dropping CDs and Folders between the different categories, and it also allows dragging categories onto different categories to re-structure your data hierarchy.


Traditional View

This menu command allows you to switch your viewing mode to the traditional view mode. This mode has 2 panels, the top panel contains a list view of all the CDs and Folders. The lower panel contains a tree view of all the subdirectories and files of the CD or the Folder selected on the top panel.

This viewing mode is more suitable if you are using a lot of comments attached to the different files and directories, because when you move the highlight between the items of the tree view , the contents of the notes fields will be updated, and any changes you will make to the notes fields will be written to the displayed item.


View Large Icons

This menu command is only available in Explorer view mode, it allows you to change the view mode of the right panel to large icons.


Small Icons View

This menu command is only available in Explorer view mode, it allows you to change the view mode of the right panel to small icons.


List View

This menu command is only available in Explorer view mode, it allows you to change the view mode of the right panel to list mode.


Details View

This menu command is only available in Explorer view mode, it allows you to change the view mode of the right panel to Details Mode.


Help Menu Commands

Contents
Tip of the day

Register Me
About


Contents

This option will show the help contents.


Tip of the day

This option shows the tip of the day, and if it was turned OFF, will allow you to turn the tip of the day ON for subsequent program startups.


Register

This option will show the registration dialog box.
Although this tool is free, you must register it to obtain the latest update releases.

You can register either through the internet by going to http://www.ufuq.com/Register.

Or by sending an email to Register@ufuq.com and filling in your name and email address.

Either way, you will receive a registration confirmation eMail containing your registration key.

When you receive this registration key, you will need to enter it in the text box at the bottom of the this dialog box, and then hit [Enter] or click the button at the top [Enter Registration].
If you want to register later, please hit the [Register Later] button or press [cancel].


About

This option will show Help About dialog box.
This is useful to check the version of the tool you are using, or the specification of your machine.


How To

  • Find a certain file

  • Print a subtree

  • Save a html copy of a subtree

  • Change a category icon

  • Backup my data file

  • compact my data file

  • Install Application

  • Remove Installed Application

  • Register My Copy


How to change a category icon

You can change the icon of any category, by doing the following:
  • highlight the required category in either the explorer view or from the
  • category selection panel,
  • then right click the selected category.
  • from the pop-up menu select properties.
  • from the category properties panel, click on the left and right arrows to select a different icon
  • then click OK to save your selection.


Preview

This menu command allows the printing of the directory structure or information or the saving of the results as an html page.
As shown on the picture below, you can select what you want printed from the option button and check boxes.


Preview

This menu command will allow the printing of the directory structure and information or to save the results as an html page.
You can select what you want printed from the option button and check boxes as shown on the picture below


Backup

This option enables you to backup your data file.
After clicking on this option the system will ask you for the the filename to backup the data to. After selecting the filename, the system will compress the data and save it to the new file.
If you ever need to restore your data, delete the file cdTree.cd from the installation directory and copy your saved copy to the installation directory and rename the file to cdTree.cd.


Compact Data

This option will compact the data file, making it smaller in size. Invoking this action will copy the original file to cdTree.bak, and the creation of a smaller size data file called cdTree.dat.
While the system is compacting the data, an animated screen will show up to inform you of the action. You can cancel the operation at any time.
If the operation is interrupted during the compacting of the data, no data will be lost.


Installation

To Install the application run the SETUP.exe and follow the instructions for the installation


Application Removal

To remove this application, go to

Start
Settings
Control Panel
And then Select [Add Remove Programs]
and then select this tool to remove it from the system.

After the application removal is finished, you should go with Windows explorer and remove the rest of the files from the installation directory, which is defaulted to [c:\Program Files\cdTree] unless it was requested to use a different directory during the installation process.


System Requirements

*) Intel 486, Pentium or better.

*) 32 MB RAM.

*) Windows 9x, WinNT, Win2K or better.

*) Internet Explorer 4.0 or better.


License Agreement

cdTree 1.1 is copyright (C) 2000 by Saad G. Yacu (VB Knowledge Solutions).

*) This software (cdTree 1.1) is freely licensed (free to use) on per machine basis. License registration is also free, and it is intended to inform the users of new updates to the software.

*) You are permitted to :
- use and distribute this SOFTWARE as much as you wish, provided that you do not charge anything for it.
- distribute copies of UNREGISTERED version of this software provided it remains in its original distribution form and all files and notices remain intact.

*) You are not permitted to:
- modify the Application Software.
- rent, lease, or otherwise transfer rights to the Application Software.
- charging a fee or requesting donations for the Application software or part of it.
- make available your registration code to other persons.
- distribute a registered version of the Application Software.
- distribute/include the package in commercial products or for commercial gain (without acquiring a commercial license from the author).

*) You will need permission to distribute this product in the following cases:
- Commercial use interests.
- Distribute this package to a BBS, FTP site, freeware web site, shareware web site, magazine, book, CD ROM, etc.

LEGAL DISCLAIMER:
*) This software (cdTree 1.1) is distributed "AS IS". No warranty of any kind is expressed or implied. You use at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software. Use of this software indicates you agree to these terms.

All trademarks and registered names acknowledged.

Date : Apr/15th/2000
Version : cdTree Ver 1.1


Contact Info

Website : www.ufuq.com

eMail : Support@ufuq.com